Subject: Re: [PATCH v5 3/4] status: give more information during rebase -i

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Jul 2015 14:23:14 -0700

Matthieu Moy <[email-masked]> writes:

> Actually, we can do simpler: we still have the original line available,
> ...
>
> I took this (modulo s/line.len[0]/line.buf[0]/, and s/rtrim/trim/ to be
> robust to leading whitespace (not really important, but doesn't harm).

I'd prefer us to be more strict when we know we are reading our own
output; rtrim is sensible, as the log line has end-user subject
the end and the subject might have a trailing whitespace we want to
trim, but there is no valid reason to expect leading whitespace.

In any case, I wouldn't have much time during the remainder of the
day to requeue and/or comment; please check what I push out on 'pu'.

Thanks.